%define pname     remote
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.4.0
Release:        9
Summary:        Extended remote control plugin for VDR

Group:          Multimedia/VDR
License:        GPL
URL:            http://www.escape-edv.de/endriss/vdr/
Source0:        http://www.escape-edv.de/endriss/vdr/%{name}-%{version}.tgz
Source200:      %{name}.runvdr
Patch0:         http://zap.tartarus.org/~ds/debian/dists/unstable/main/source/vdr-plugin-remote_0.4.0-8.diff.gz
Patch1:		remote-destdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}

%description
This plugin extends VDR's remote control capabilities, adding support
for Linux input devices, keyboards (tty), TCP connections, and LIRC.


%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
patch -p1 -i debian/patches/90_remote-0.4.0-1.5.7.dpatch
%patch1
sed -i -e 's|include Make.config|include $(VDRDIR)/Make.config|' Makefile
for f in CONTRIBUTORS HISTORY ; do
    iconv -f iso-8859-1 -t utf-8 $f > $f.utf-8 ; mv $f.utf-8 $f
done

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr DESTDIR=$RPM_BUILD_ROOT all

%install
rm -rf $RPM_BUILD_ROOT
#make install LIBDIR=. VDRDIR=%{_libdir}/vdr DESTDIR=$RPM_BUILD_ROOT # ugh
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr DESTDIR=$RPM_BUILD_ROOT all
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/remote


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CONTRIBUTORS COPYING FAQ HISTORY README
%config(noreplace) %{_sysconfdir}/runvdr/remote
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%_libdir/vdr/locale


%post
/usr/bin/runvdr-conf.d enable remote >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable remote >/dev/null 2>&1
fi

%changelog
* Sat Sep 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.4.0-9
- rebuild against vdr-1.6.0-14
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 0.4.0-8
- rebuild against vdr-1.6.0-10
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 0.4.0-7
- rebuild against vdr-1.6.0-9
* Thu Nov 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.4.0-6
- corrected scriplets
* Thu Nov 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.4.0-5
- runvdr integration
* Tue Nov 11 2008 Christian Metzen <metzench@ccux-linux.de> 0.4.0-4
- rebuild against vdr-1.6.0-3
* Thu Mar 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.4.0-3
- rebuild, VDR 1.6.0
* Sun Mar 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.4.0-2
- rebuild, VDR 1.5.18
* Sun Jan 20 2008 Christian Metzen <metzench@ccux-linux.de> 0.4.0-1
- Version update / vdr 1.5.13
* Sat Aug 25 2007 Christian Wasem <wasem@ccux-linux.de> 0.3.9-2
- rebuild against latest vdr package
* Wed Mar 07 2007 Christian Metzen <metzench@ccux-linux.de> 0.3.9-1
- Initial release